: Interface REFlags

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jregex
Interface REFlags

All Known Implementing Classes:
  Pattern

public interface REFlags

Field Summary
`static int` | `DEFAULT` All the foolowing options turned off
`static int` | `DOTALL` Affects the behaviour of dot(".") tag.
`static int` | `IGNORE_CASE` Pattern "a" matches both "a" and "A".
`static int` | `IGNORE_SPACES` Affects how the space characters are interpeted in the expression.
`static int` | `MULTILINE` Affects the behaviour of "^" and "$" tags.
`static int` | `UNICODE` Affects whether the predefined classes("\d","\s","\w",etc) in the expression are interpreted as belonging to Unicode.
`static int` | `XML_SCHEMA` Turns on the compatibility with XML Schema regular expressions.

Field Detail

### DEFAULT

    public static final int DEFAULT

  All the foolowing options turned off

### IGNORE_CASE

    public static final int IGNORE_CASE

  Pattern "a" matches both "a" and "A". Corresponds to "i" in Perl notation.

### MULTILINE

    public static final int MULTILINE

  Affects the behaviour of "^" and "$" tags. When switched off:
  - the "^" matches the beginning of the whole text;
  - the "$" matches the end of the whole text, or just before the '\n' or "\r\n" at the end of text. When switched on:
  - the "^" additionally matches the line beginnings (that is just after the '\n');
  - the "$" additionally matches the line ends (that is just before "\r\n" or '\n'); Corresponds to "m" in Perl notation.

### DOTALL

    public static final int DOTALL

  Affects the behaviour of dot(".") tag. When switched off:
  - the dot matches any character but EOLs('\r','\n'); When switched on:
  - the dot matches any character, including EOLs. This flag is sometimes referenced in regex tutorials as SINGLELINE, which confusingly seems opposite to MULTILINE, but in fact is orthogonal. Corresponds to "s" in Perl notation.

### IGNORE_SPACES

    public static final int IGNORE_SPACES

  Affects how the space characters are interpeted in the expression. When switched off:
  - the spaces are interpreted literally; When switched on:
  - the spaces are ingnored, allowing an expression to be slightly more readable. Corresponds to "x" in Perl notation.

### UNICODE

    public static final int UNICODE

  Affects whether the predefined classes("\d","\s","\w",etc) in the expression are interpreted as belonging to Unicode. When switched off:
  - the predefined classes are interpreted as ASCII; When switched on:
  - the predefined classes are interpreted as Unicode categories;

### XML_SCHEMA

    public static final int XML_SCHEMA

  Turns on the compatibility with XML Schema regular expressions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD